{# Update repo with new packages #}
glusterfs.update.repo:
  salt.state:
    - tgt: 'I@glusterfs:server or I@glusterfs:client'
    - tgt_type: compound
    - sls: linux.system.repo

{# Update servers one-by-one #}
glusterfs.update.server:
  salt.state:
    - tgt: 'glusterfs:server'
    - tgt_type: pillar
    - sls: glusterfs.update.server
    - batch: 1
    - require:
      - salt: glusterfs.update.repo

{# Update clients one-by-one #}
glusterfs.update.client:
  salt.state:
    - tgt: 'glusterfs:client'
    - tgt_type: pillar
    - sls: glusterfs.update.client
    - batch: 1
    - require:
      - salt: glusterfs.update.repo
      - salt: glusterfs.update.server

{# Update cluster.op-version #}
glusterfs.update.op-version:
  salt.state:
    - tgt: 'glusterfs:server:role:primary'
    - tgt_type: pillar
    - sls: glusterfs.update.op_version
    - require:
      - salt: glusterfs.update.server
      - salt: glusterfs.update.client

glusterfs.server.service:
  salt.state:
    - tgt: 'glusterfs:server'
    - tgt_type: pillar
    - sls: glusterfs.server.service
    - onfail:
       - salt: glusterfs.update.server

glusterfs.client:
  salt.state:
    - tgt: 'glusterfs:client'
    - tgt_type: pillar
    - sls: glusterfs.client
    - onfail:
       - salt: glusterfs.update.client
